<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.infinispan.cache-container.transport.jgroups">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="channel,lock-timeout,executor,cluster,stack"/>
        <elem name="addr-params" value="profile,subsystem,cache-container,transport"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.group.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.node-factory.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.command-dispatcher-factory.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.transport.channel.$cache-container"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.jgroups.channel-factory.$channel" optional="true"/>
        <capability name="$profile.org.wildfly.clustering.jgroups.default-channel-factory"/>
    </requires>
    <refs>
        <ref feature="subsystem.infinispan.cache-container"/>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="cluster" nillable="true"/>
        <param name="stack" nillable="true"/>
        <param name="executor" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="cache-container" feature-id="true"/>
        <param name="channel" nillable="true"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="transport" feature-id="true" default="jgroups"/>
        <param name="lock-timeout" nillable="true"/>
    </params>
</feature-spec>